Github messages for voidlinux
 help / color / mirror / Atom feed
* [PR PATCH] New package: anime-downloader-5.0.7
@ 2021-02-20 13:33 FollieHiyuki
  2021-02-21 11:20 ` [PR PATCH] [Updated] " FollieHiyuki
                   ` (5 more replies)
  0 siblings, 6 replies; 7+ messages in thread
From: FollieHiyuki @ 2021-02-20 13:33 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 1726 bytes --]

There is a new pull request by FollieHiyuki against master on the void-packages repository

https://github.com/FollieHiyuki/void-packages anime-downloader
https://github.com/void-linux/void-packages/pull/28923

New package: anime-downloader-5.0.7
<!-- Mark items with [x] where applicable -->

#### General
- [ ] This is a new package and it conforms to the [quality requirements](https://github.com/void-linux/void-packages/blob/master/Manual.md#quality-requirements)

#### Have the results of the proposed changes been tested?
- [ ] I use the packages affected by the proposed changes on a regular basis and confirm this PR works for me
- [x] I generally don't use the affected packages but briefly tested this PR

<!--
If GitHub CI cannot be used to validate the build result (for example, if the
build is likely to take several hours), make sure to
[skip CI](https://github.com/void-linux/void-packages/blob/master/CONTRIBUTING.md#continuous-integration).
When skipping CI, uncomment and fill out the following section.
Note: for builds that are likely to complete in less than 2 hours, it is not
acceptable to skip CI.
-->
<!-- 
#### Does it build and run successfully? 
(Please choose at least one native build and, if supported, at least one cross build. More are better.)
- [ ] I built this PR locally for my native architecture, (ARCH-LIBC)
- [ ] I built this PR locally for these architectures (if supported. mark crossbuilds):
  - [ ] aarch64-musl
  - [ ] armv7l
  - [ ] armv6l-musl
-->

Hasn't been thoroughly tested, since some sites are blocked in my country. Welcome other for the task too :)

A patch file from https://github.com/void-linux/void-packages/pull/28923.patch is attached

[-- Warning: decoded text below may be mangled, UTF-8 assumed --]
[-- Attachment #2: github-pr-anime-downloader-28923.patch --]
[-- Type: text/x-diff, Size: 8916 bytes --]

From fd6bb3f14dc30f26af96b4f83e088e5f24ecaa87 Mon Sep 17 00:00:00 2001
From: FollieHiyuki <folliekazetani@protonmail.com>
Date: Sat, 20 Feb 2021 15:30:55 +0300
Subject: [PATCH 1/7] New package: python3-pySmartDL-1.3.4

---
 srcpkgs/python3-pySmartDL/template | 16 ++++++++++++++++
 1 file changed, 16 insertions(+)
 create mode 100644 srcpkgs/python3-pySmartDL/template

diff --git a/srcpkgs/python3-pySmartDL/template b/srcpkgs/python3-pySmartDL/template
new file mode 100644
index 00000000000..64fd0dbcccc
--- /dev/null
+++ b/srcpkgs/python3-pySmartDL/template
@@ -0,0 +1,16 @@
+# Template file for 'python3-pySmartDL'
+pkgname=python3-pySmartDL
+version=1.3.4
+revision=1
+wrksrc=pySmartDL-${version}
+build_style=python3-module
+hostmakedepends="python3-setuptools python3-Sphinx"
+depends="python3"
+short_desc="Smart download manager for Python"
+maintainer="FollieHiyuki <folliekazetani@protonmail.com>"
+license="Unlicense"
+homepage="https://github.com/iTaybb/pySmartDL"
+distfiles="https://github.com/iTaybb/pySmartDL/archive/v${version}.tar.gz"
+checksum=20bce587e51034accad51ebe3557bb52313b9b77cc369f2a67b5b73a925f6b3c
+# Test depends on python3-codecov
+make_check=extended

From 76b6583421d9ccfc7a8c2e050947d02d8ec2b47c Mon Sep 17 00:00:00 2001
From: FollieHiyuki <folliekazetani@protonmail.com>
Date: Sat, 20 Feb 2021 15:39:29 +0300
Subject: [PATCH 2/7] New package: python3-fuzzywuzzy-0.18.0

---
 srcpkgs/python3-fuzzywuzzy/template | 16 ++++++++++++++++
 1 file changed, 16 insertions(+)
 create mode 100644 srcpkgs/python3-fuzzywuzzy/template

diff --git a/srcpkgs/python3-fuzzywuzzy/template b/srcpkgs/python3-fuzzywuzzy/template
new file mode 100644
index 00000000000..820bfa72648
--- /dev/null
+++ b/srcpkgs/python3-fuzzywuzzy/template
@@ -0,0 +1,16 @@
+# Template file for 'python3-fuzzywuzzy'
+pkgname=python3-fuzzywuzzy
+version=0.18.0
+revision=1
+wrksrc=fuzzywuzzy-${version}
+build_style=python3-module
+hostmakedepends="python3-setuptools"
+depends="python3"
+short_desc="Fuzzy string matching in Python"
+maintainer="FollieHiyuki <folliekazetani@protonmail.com>"
+license="GPL-2.0-or-later"
+homepage="https://github.com/seatgeek/fuzzywuzzy"
+distfiles="https://github.com/seatgeek/fuzzywuzzy/archive/${version}.tar.gz"
+checksum=26795bd6c319a8c789d62ecbe95e29a97711f0176d3beea04ce510981095f696
+# Temporary disabled. See seatgeek/fuzzywuzzy#284
+make_check=no

From 595ebf8e2d7a6c0b6c4776ab6fd55cef4b003b2b Mon Sep 17 00:00:00 2001
From: FollieHiyuki <folliekazetani@protonmail.com>
Date: Sat, 20 Feb 2021 15:55:31 +0300
Subject: [PATCH 3/7] New package: python3-humanfriendly-9.1

---
 srcpkgs/python3-humanfriendly/template | 20 ++++++++++++++++++++
 1 file changed, 20 insertions(+)
 create mode 100644 srcpkgs/python3-humanfriendly/template

diff --git a/srcpkgs/python3-humanfriendly/template b/srcpkgs/python3-humanfriendly/template
new file mode 100644
index 00000000000..d84253e9db0
--- /dev/null
+++ b/srcpkgs/python3-humanfriendly/template
@@ -0,0 +1,20 @@
+# Template file for 'python3-humanfriendly'
+pkgname=python3-humanfriendly
+version=9.1
+revision=1
+wrksrc=python-humanfriendly-${version}
+build_style=python3-module
+hostmakedepends="python3-setuptools"
+depends="python3"
+short_desc="Human friendly input/output for text interfaces using Python"
+maintainer="FollieHiyuki <folliekazetani@protonmail.com>"
+license="MIT"
+homepage="https://humanfriendly.readthedocs.io/en/latest/"
+distfiles="https://github.com/xolox/python-humanfriendly/archive/${version}.tar.gz"
+checksum=b603d8abeca579e7a69e969da68c9b818f04da0b2ec5cfb18a031da385f43f44
+# Test depends on python3-flake8-docstring
+make_check=extended
+
+post_install() {
+	vlicense LICENSE.txt
+}

From 46b77faa13264c610f3b5920d66b18dbebce2164 Mon Sep 17 00:00:00 2001
From: FollieHiyuki <folliekazetani@protonmail.com>
Date: Sat, 20 Feb 2021 15:56:51 +0300
Subject: [PATCH 4/7] New package: python3-coloredlogs-15.0

---
 srcpkgs/python3-coloredlogs/template | 20 ++++++++++++++++++++
 1 file changed, 20 insertions(+)
 create mode 100644 srcpkgs/python3-coloredlogs/template

diff --git a/srcpkgs/python3-coloredlogs/template b/srcpkgs/python3-coloredlogs/template
new file mode 100644
index 00000000000..430d6cef3ae
--- /dev/null
+++ b/srcpkgs/python3-coloredlogs/template
@@ -0,0 +1,20 @@
+# Template file for 'python3-coloredlogs'
+pkgname=python3-coloredlogs
+version=15.0
+revision=1
+wrksrc=python-coloredlogs-${version}
+build_style=python3-module
+hostmakedepends="python3-setuptools"
+depends="python3-humanfriendly"
+short_desc="Colored terminal output for Python's logging module"
+maintainer="FollieHiyuki <folliekazetani@protonmail.com>"
+license="MIT"
+homepage="https://coloredlogs.readthedocs.io/en/latest/"
+distfiles="https://github.com/xolox/python-coloredlogs/archive/${version}.tar.gz"
+checksum=0d0d3dc47db64dcd3674cd36336dadd013967852bd524294b1f67425bdf10d79
+# Test depends on python3-capturer
+make_check=extended
+
+post_install() {
+	vlicense LICENSE.txt
+}

From 1b06f8e7c9ac377a5da976903b69bca383380fc2 Mon Sep 17 00:00:00 2001
From: FollieHiyuki <folliekazetani@protonmail.com>
Date: Sat, 20 Feb 2021 16:05:19 +0300
Subject: [PATCH 5/7] New package: python3-cfscrape-2.1.1

---
 srcpkgs/python3-cfscrape/template | 20 ++++++++++++++++++++
 1 file changed, 20 insertions(+)
 create mode 100644 srcpkgs/python3-cfscrape/template

diff --git a/srcpkgs/python3-cfscrape/template b/srcpkgs/python3-cfscrape/template
new file mode 100644
index 00000000000..726f6b44735
--- /dev/null
+++ b/srcpkgs/python3-cfscrape/template
@@ -0,0 +1,20 @@
+# Template file for 'python3-cfscrape'
+pkgname=python3-cfscrape
+version=2.1.1
+revision=1
+wrksrc=cloudflare-scrape-${version}
+build_style=python3-module
+hostmakedepends="python3-setuptools"
+depends="python3"
+short_desc="Python module to bypass Cloudflare's anti-bot page (another one)"
+maintainer="FollieHiyuki <folliekazetani@protonmail.com>"
+license="MIT"
+homepage="https://github.com/Anorov/cloudflare-scrape"
+distfiles="https://github.com/Anorov/cloudflare-scrape/archive/${version}.tar.gz"
+checksum=7d8cf056b64b68d85b65a37a9b981398f35e301f6be3a38927b53b828a910f09
+# Test needs python3-response
+make_check=extended
+
+post_install() {
+	vlicense LICENSE
+}

From 3e3785f69a41785b678739f223f18cb5f75fff1a Mon Sep 17 00:00:00 2001
From: FollieHiyuki <folliekazetani@protonmail.com>
Date: Sat, 20 Feb 2021 16:17:59 +0300
Subject: [PATCH 6/7] New package: python3-requests-cache-0.5.2

---
 srcpkgs/python3-requests-cache/template | 20 ++++++++++++++++++++
 1 file changed, 20 insertions(+)
 create mode 100644 srcpkgs/python3-requests-cache/template

diff --git a/srcpkgs/python3-requests-cache/template b/srcpkgs/python3-requests-cache/template
new file mode 100644
index 00000000000..6498b637570
--- /dev/null
+++ b/srcpkgs/python3-requests-cache/template
@@ -0,0 +1,20 @@
+# Template file for 'python3-requests-cache'
+pkgname=python3-requests-cache
+version=0.5.2
+revision=1
+wrksrc=requests-cache-${version}
+build_style=python3-module
+hostmakedepends="python3-setuptools"
+depends="python3-requests"
+short_desc="Transparent, persistent cache for pytho3-requests library"
+maintainer="FollieHiyuki <folliekazetani@protonmail.com>"
+license="BSD-2-Clause"
+homepage="https://github.com/reclosedev/requests-cache"
+distfiles="${PYPI_SITE}/r/requests-cache/requests-cache-${version}.tar.gz"
+checksum=813023269686045f8e01e2289cc1e7e9ae5ab22ddd1e2849a9093ab3ab7270eb
+# Test depends on python3-pymongo
+make_check=extended
+
+post_install() {
+	vlicense LICENSE
+}

From 93459e5df606557077913d277f3917b47b402716 Mon Sep 17 00:00:00 2001
From: FollieHiyuki <folliekazetani@protonmail.com>
Date: Sat, 20 Feb 2021 16:23:32 +0300
Subject: [PATCH 7/7] New package: anime-downloader-5.0.7

---
 srcpkgs/anime-downloader/template | 17 +++++++++++++++++
 1 file changed, 17 insertions(+)
 create mode 100644 srcpkgs/anime-downloader/template

diff --git a/srcpkgs/anime-downloader/template b/srcpkgs/anime-downloader/template
new file mode 100644
index 00000000000..97abfc56cff
--- /dev/null
+++ b/srcpkgs/anime-downloader/template
@@ -0,0 +1,17 @@
+# Template file for 'anime-downloader'
+pkgname=anime-downloader
+version=5.0.7
+revision=1
+build_style=python3-module
+hostmakedepends="python3-setuptools"
+depends="python3-BeautifulSoup4 python3-requests python3-requests-cache
+ python3-tabulate python3-pycryptodome python3-click python3-pySmartDL
+ python3-fuzzywuzzy python3-coloredlogs python3-cfscrape"
+short_desc="Simple but powerfull anime downloader and streamer"
+maintainer="FollieHiyuki <folliekazetani@protonmail.com>"
+license="Unlicense"
+homepage="https://github.com/anime-dl/anime-downloader"
+distfiles="https://github.com/anime-dl/anime-downloader/archive/${version}.tar.gz"
+checksum=ebe365093ccfca4502aa5fb079c71661d62da2d3d705789130af1f32403e6b55
+# Test depends on python3-httpretty
+make_check=extended

^ permalink raw reply	[flat|nested] 7+ messages in thread

* Re: [PR PATCH] [Updated] New package: anime-downloader-5.0.7
  2021-02-20 13:33 [PR PATCH] New package: anime-downloader-5.0.7 FollieHiyuki
@ 2021-02-21 11:20 ` FollieHiyuki
  2021-02-23 10:43 ` gorkawien
                   ` (4 subsequent siblings)
  5 siblings, 0 replies; 7+ messages in thread
From: FollieHiyuki @ 2021-02-21 11:20 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 1731 bytes --]

There is an updated pull request by FollieHiyuki against master on the void-packages repository

https://github.com/FollieHiyuki/void-packages anime-downloader
https://github.com/void-linux/void-packages/pull/28923

New package: anime-downloader-5.0.7
<!-- Mark items with [x] where applicable -->

#### General
- [ ] This is a new package and it conforms to the [quality requirements](https://github.com/void-linux/void-packages/blob/master/Manual.md#quality-requirements)

#### Have the results of the proposed changes been tested?
- [ ] I use the packages affected by the proposed changes on a regular basis and confirm this PR works for me
- [x] I generally don't use the affected packages but briefly tested this PR

<!--
If GitHub CI cannot be used to validate the build result (for example, if the
build is likely to take several hours), make sure to
[skip CI](https://github.com/void-linux/void-packages/blob/master/CONTRIBUTING.md#continuous-integration).
When skipping CI, uncomment and fill out the following section.
Note: for builds that are likely to complete in less than 2 hours, it is not
acceptable to skip CI.
-->
<!-- 
#### Does it build and run successfully? 
(Please choose at least one native build and, if supported, at least one cross build. More are better.)
- [ ] I built this PR locally for my native architecture, (ARCH-LIBC)
- [ ] I built this PR locally for these architectures (if supported. mark crossbuilds):
  - [ ] aarch64-musl
  - [ ] armv7l
  - [ ] armv6l-musl
-->

Hasn't been thoroughly tested, since some sites are blocked in my country. Welcome other for the task too :)

A patch file from https://github.com/void-linux/void-packages/pull/28923.patch is attached

[-- Warning: decoded text below may be mangled, UTF-8 assumed --]
[-- Attachment #2: github-pr-anime-downloader-28923.patch --]
[-- Type: text/x-diff, Size: 8926 bytes --]

From fd6bb3f14dc30f26af96b4f83e088e5f24ecaa87 Mon Sep 17 00:00:00 2001
From: FollieHiyuki <folliekazetani@protonmail.com>
Date: Sat, 20 Feb 2021 15:30:55 +0300
Subject: [PATCH 1/7] New package: python3-pySmartDL-1.3.4

---
 srcpkgs/python3-pySmartDL/template | 16 ++++++++++++++++
 1 file changed, 16 insertions(+)
 create mode 100644 srcpkgs/python3-pySmartDL/template

diff --git a/srcpkgs/python3-pySmartDL/template b/srcpkgs/python3-pySmartDL/template
new file mode 100644
index 00000000000..64fd0dbcccc
--- /dev/null
+++ b/srcpkgs/python3-pySmartDL/template
@@ -0,0 +1,16 @@
+# Template file for 'python3-pySmartDL'
+pkgname=python3-pySmartDL
+version=1.3.4
+revision=1
+wrksrc=pySmartDL-${version}
+build_style=python3-module
+hostmakedepends="python3-setuptools python3-Sphinx"
+depends="python3"
+short_desc="Smart download manager for Python"
+maintainer="FollieHiyuki <folliekazetani@protonmail.com>"
+license="Unlicense"
+homepage="https://github.com/iTaybb/pySmartDL"
+distfiles="https://github.com/iTaybb/pySmartDL/archive/v${version}.tar.gz"
+checksum=20bce587e51034accad51ebe3557bb52313b9b77cc369f2a67b5b73a925f6b3c
+# Test depends on python3-codecov
+make_check=extended

From 76b6583421d9ccfc7a8c2e050947d02d8ec2b47c Mon Sep 17 00:00:00 2001
From: FollieHiyuki <folliekazetani@protonmail.com>
Date: Sat, 20 Feb 2021 15:39:29 +0300
Subject: [PATCH 2/7] New package: python3-fuzzywuzzy-0.18.0

---
 srcpkgs/python3-fuzzywuzzy/template | 16 ++++++++++++++++
 1 file changed, 16 insertions(+)
 create mode 100644 srcpkgs/python3-fuzzywuzzy/template

diff --git a/srcpkgs/python3-fuzzywuzzy/template b/srcpkgs/python3-fuzzywuzzy/template
new file mode 100644
index 00000000000..820bfa72648
--- /dev/null
+++ b/srcpkgs/python3-fuzzywuzzy/template
@@ -0,0 +1,16 @@
+# Template file for 'python3-fuzzywuzzy'
+pkgname=python3-fuzzywuzzy
+version=0.18.0
+revision=1
+wrksrc=fuzzywuzzy-${version}
+build_style=python3-module
+hostmakedepends="python3-setuptools"
+depends="python3"
+short_desc="Fuzzy string matching in Python"
+maintainer="FollieHiyuki <folliekazetani@protonmail.com>"
+license="GPL-2.0-or-later"
+homepage="https://github.com/seatgeek/fuzzywuzzy"
+distfiles="https://github.com/seatgeek/fuzzywuzzy/archive/${version}.tar.gz"
+checksum=26795bd6c319a8c789d62ecbe95e29a97711f0176d3beea04ce510981095f696
+# Temporary disabled. See seatgeek/fuzzywuzzy#284
+make_check=no

From 595ebf8e2d7a6c0b6c4776ab6fd55cef4b003b2b Mon Sep 17 00:00:00 2001
From: FollieHiyuki <folliekazetani@protonmail.com>
Date: Sat, 20 Feb 2021 15:55:31 +0300
Subject: [PATCH 3/7] New package: python3-humanfriendly-9.1

---
 srcpkgs/python3-humanfriendly/template | 20 ++++++++++++++++++++
 1 file changed, 20 insertions(+)
 create mode 100644 srcpkgs/python3-humanfriendly/template

diff --git a/srcpkgs/python3-humanfriendly/template b/srcpkgs/python3-humanfriendly/template
new file mode 100644
index 00000000000..d84253e9db0
--- /dev/null
+++ b/srcpkgs/python3-humanfriendly/template
@@ -0,0 +1,20 @@
+# Template file for 'python3-humanfriendly'
+pkgname=python3-humanfriendly
+version=9.1
+revision=1
+wrksrc=python-humanfriendly-${version}
+build_style=python3-module
+hostmakedepends="python3-setuptools"
+depends="python3"
+short_desc="Human friendly input/output for text interfaces using Python"
+maintainer="FollieHiyuki <folliekazetani@protonmail.com>"
+license="MIT"
+homepage="https://humanfriendly.readthedocs.io/en/latest/"
+distfiles="https://github.com/xolox/python-humanfriendly/archive/${version}.tar.gz"
+checksum=b603d8abeca579e7a69e969da68c9b818f04da0b2ec5cfb18a031da385f43f44
+# Test depends on python3-flake8-docstring
+make_check=extended
+
+post_install() {
+	vlicense LICENSE.txt
+}

From 46b77faa13264c610f3b5920d66b18dbebce2164 Mon Sep 17 00:00:00 2001
From: FollieHiyuki <folliekazetani@protonmail.com>
Date: Sat, 20 Feb 2021 15:56:51 +0300
Subject: [PATCH 4/7] New package: python3-coloredlogs-15.0

---
 srcpkgs/python3-coloredlogs/template | 20 ++++++++++++++++++++
 1 file changed, 20 insertions(+)
 create mode 100644 srcpkgs/python3-coloredlogs/template

diff --git a/srcpkgs/python3-coloredlogs/template b/srcpkgs/python3-coloredlogs/template
new file mode 100644
index 00000000000..430d6cef3ae
--- /dev/null
+++ b/srcpkgs/python3-coloredlogs/template
@@ -0,0 +1,20 @@
+# Template file for 'python3-coloredlogs'
+pkgname=python3-coloredlogs
+version=15.0
+revision=1
+wrksrc=python-coloredlogs-${version}
+build_style=python3-module
+hostmakedepends="python3-setuptools"
+depends="python3-humanfriendly"
+short_desc="Colored terminal output for Python's logging module"
+maintainer="FollieHiyuki <folliekazetani@protonmail.com>"
+license="MIT"
+homepage="https://coloredlogs.readthedocs.io/en/latest/"
+distfiles="https://github.com/xolox/python-coloredlogs/archive/${version}.tar.gz"
+checksum=0d0d3dc47db64dcd3674cd36336dadd013967852bd524294b1f67425bdf10d79
+# Test depends on python3-capturer
+make_check=extended
+
+post_install() {
+	vlicense LICENSE.txt
+}

From 918a3cd5056cfd466521dcb2dce75723c8de8f58 Mon Sep 17 00:00:00 2001
From: FollieHiyuki <folliekazetani@protonmail.com>
Date: Sat, 20 Feb 2021 16:05:19 +0300
Subject: [PATCH 5/7] New package: python3-cfscrape-2.1.1

---
 srcpkgs/python3-cfscrape/template | 20 ++++++++++++++++++++
 1 file changed, 20 insertions(+)
 create mode 100644 srcpkgs/python3-cfscrape/template

diff --git a/srcpkgs/python3-cfscrape/template b/srcpkgs/python3-cfscrape/template
new file mode 100644
index 00000000000..241d01fd9a4
--- /dev/null
+++ b/srcpkgs/python3-cfscrape/template
@@ -0,0 +1,20 @@
+# Template file for 'python3-cfscrape'
+pkgname=python3-cfscrape
+version=2.1.1
+revision=1
+wrksrc=cloudflare-scrape-${version}
+build_style=python3-module
+hostmakedepends="python3-setuptools"
+depends="python3-requests"
+short_desc="Python module to bypass Cloudflare's anti-bot page (another one)"
+maintainer="FollieHiyuki <folliekazetani@protonmail.com>"
+license="MIT"
+homepage="https://github.com/Anorov/cloudflare-scrape"
+distfiles="https://github.com/Anorov/cloudflare-scrape/archive/${version}.tar.gz"
+checksum=7d8cf056b64b68d85b65a37a9b981398f35e301f6be3a38927b53b828a910f09
+# Test needs python3-responses
+make_check=extended
+
+post_install() {
+	vlicense LICENSE
+}

From b493d33abd5c49736cddce8b9db577736bcf5383 Mon Sep 17 00:00:00 2001
From: FollieHiyuki <folliekazetani@protonmail.com>
Date: Sat, 20 Feb 2021 16:17:59 +0300
Subject: [PATCH 6/7] New package: python3-requests-cache-0.5.2

---
 srcpkgs/python3-requests-cache/template | 20 ++++++++++++++++++++
 1 file changed, 20 insertions(+)
 create mode 100644 srcpkgs/python3-requests-cache/template

diff --git a/srcpkgs/python3-requests-cache/template b/srcpkgs/python3-requests-cache/template
new file mode 100644
index 00000000000..6498b637570
--- /dev/null
+++ b/srcpkgs/python3-requests-cache/template
@@ -0,0 +1,20 @@
+# Template file for 'python3-requests-cache'
+pkgname=python3-requests-cache
+version=0.5.2
+revision=1
+wrksrc=requests-cache-${version}
+build_style=python3-module
+hostmakedepends="python3-setuptools"
+depends="python3-requests"
+short_desc="Transparent, persistent cache for pytho3-requests library"
+maintainer="FollieHiyuki <folliekazetani@protonmail.com>"
+license="BSD-2-Clause"
+homepage="https://github.com/reclosedev/requests-cache"
+distfiles="${PYPI_SITE}/r/requests-cache/requests-cache-${version}.tar.gz"
+checksum=813023269686045f8e01e2289cc1e7e9ae5ab22ddd1e2849a9093ab3ab7270eb
+# Test depends on python3-pymongo
+make_check=extended
+
+post_install() {
+	vlicense LICENSE
+}

From 726c5905c98fa243ba9231b827d627c86a2fa123 Mon Sep 17 00:00:00 2001
From: FollieHiyuki <folliekazetani@protonmail.com>
Date: Sat, 20 Feb 2021 16:23:32 +0300
Subject: [PATCH 7/7] New package: anime-downloader-5.0.7

---
 srcpkgs/anime-downloader/template | 17 +++++++++++++++++
 1 file changed, 17 insertions(+)
 create mode 100644 srcpkgs/anime-downloader/template

diff --git a/srcpkgs/anime-downloader/template b/srcpkgs/anime-downloader/template
new file mode 100644
index 00000000000..97abfc56cff
--- /dev/null
+++ b/srcpkgs/anime-downloader/template
@@ -0,0 +1,17 @@
+# Template file for 'anime-downloader'
+pkgname=anime-downloader
+version=5.0.7
+revision=1
+build_style=python3-module
+hostmakedepends="python3-setuptools"
+depends="python3-BeautifulSoup4 python3-requests python3-requests-cache
+ python3-tabulate python3-pycryptodome python3-click python3-pySmartDL
+ python3-fuzzywuzzy python3-coloredlogs python3-cfscrape"
+short_desc="Simple but powerfull anime downloader and streamer"
+maintainer="FollieHiyuki <folliekazetani@protonmail.com>"
+license="Unlicense"
+homepage="https://github.com/anime-dl/anime-downloader"
+distfiles="https://github.com/anime-dl/anime-downloader/archive/${version}.tar.gz"
+checksum=ebe365093ccfca4502aa5fb079c71661d62da2d3d705789130af1f32403e6b55
+# Test depends on python3-httpretty
+make_check=extended

^ permalink raw reply	[flat|nested] 7+ messages in thread

* Re: New package: anime-downloader-5.0.7
  2021-02-20 13:33 [PR PATCH] New package: anime-downloader-5.0.7 FollieHiyuki
  2021-02-21 11:20 ` [PR PATCH] [Updated] " FollieHiyuki
@ 2021-02-23 10:43 ` gorkawien
  2021-02-23 14:33 ` FollieHiyuki
                   ` (3 subsequent siblings)
  5 siblings, 0 replies; 7+ messages in thread
From: gorkawien @ 2021-02-23 10:43 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 167 bytes --]

New comment by gorkawien on void-packages repository

https://github.com/void-linux/void-packages/pull/28923#issuecomment-784107160

Comment:
Also needs python3-PyQt5

^ permalink raw reply	[flat|nested] 7+ messages in thread

* Re: New package: anime-downloader-5.0.7
  2021-02-20 13:33 [PR PATCH] New package: anime-downloader-5.0.7 FollieHiyuki
  2021-02-21 11:20 ` [PR PATCH] [Updated] " FollieHiyuki
  2021-02-23 10:43 ` gorkawien
@ 2021-02-23 14:33 ` FollieHiyuki
  2021-02-23 14:41 ` [PR PATCH] [Updated] " FollieHiyuki
                   ` (2 subsequent siblings)
  5 siblings, 0 replies; 7+ messages in thread
From: FollieHiyuki @ 2021-02-23 14:33 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 239 bytes --]

New comment by FollieHiyuki on void-packages repository

https://github.com/void-linux/void-packages/pull/28923#issuecomment-784244589

Comment:
Isn't that the dependency for GUI. I think it is optional. GUI even needs `selenium` as well.

^ permalink raw reply	[flat|nested] 7+ messages in thread

* Re: [PR PATCH] [Updated] New package: anime-downloader-5.0.7
  2021-02-20 13:33 [PR PATCH] New package: anime-downloader-5.0.7 FollieHiyuki
                   ` (2 preceding siblings ...)
  2021-02-23 14:33 ` FollieHiyuki
@ 2021-02-23 14:41 ` FollieHiyuki
  2021-02-25 20:42 ` [Nomerge] " FollieHiyuki
  2021-02-25 21:56 ` FollieHiyuki
  5 siblings, 0 replies; 7+ messages in thread
From: FollieHiyuki @ 2021-02-23 14:41 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 1731 bytes --]

There is an updated pull request by FollieHiyuki against master on the void-packages repository

https://github.com/FollieHiyuki/void-packages anime-downloader
https://github.com/void-linux/void-packages/pull/28923

New package: anime-downloader-5.0.7
<!-- Mark items with [x] where applicable -->

#### General
- [ ] This is a new package and it conforms to the [quality requirements](https://github.com/void-linux/void-packages/blob/master/Manual.md#quality-requirements)

#### Have the results of the proposed changes been tested?
- [ ] I use the packages affected by the proposed changes on a regular basis and confirm this PR works for me
- [x] I generally don't use the affected packages but briefly tested this PR

<!--
If GitHub CI cannot be used to validate the build result (for example, if the
build is likely to take several hours), make sure to
[skip CI](https://github.com/void-linux/void-packages/blob/master/CONTRIBUTING.md#continuous-integration).
When skipping CI, uncomment and fill out the following section.
Note: for builds that are likely to complete in less than 2 hours, it is not
acceptable to skip CI.
-->
<!-- 
#### Does it build and run successfully? 
(Please choose at least one native build and, if supported, at least one cross build. More are better.)
- [ ] I built this PR locally for my native architecture, (ARCH-LIBC)
- [ ] I built this PR locally for these architectures (if supported. mark crossbuilds):
  - [ ] aarch64-musl
  - [ ] armv7l
  - [ ] armv6l-musl
-->

Hasn't been thoroughly tested, since some sites are blocked in my country. Welcome other for the task too :)

A patch file from https://github.com/void-linux/void-packages/pull/28923.patch is attached

[-- Warning: decoded text below may be mangled, UTF-8 assumed --]
[-- Attachment #2: github-pr-anime-downloader-28923.patch --]
[-- Type: text/x-diff, Size: 8933 bytes --]

From 88dcaeef443a2b8a039fa80fb31c47c49289b933 Mon Sep 17 00:00:00 2001
From: FollieHiyuki <folliekazetani@protonmail.com>
Date: Sat, 20 Feb 2021 15:30:55 +0300
Subject: [PATCH 1/7] New package: python3-pySmartDL-1.3.4

---
 srcpkgs/python3-pySmartDL/template | 16 ++++++++++++++++
 1 file changed, 16 insertions(+)
 create mode 100644 srcpkgs/python3-pySmartDL/template

diff --git a/srcpkgs/python3-pySmartDL/template b/srcpkgs/python3-pySmartDL/template
new file mode 100644
index 00000000000..64fd0dbcccc
--- /dev/null
+++ b/srcpkgs/python3-pySmartDL/template
@@ -0,0 +1,16 @@
+# Template file for 'python3-pySmartDL'
+pkgname=python3-pySmartDL
+version=1.3.4
+revision=1
+wrksrc=pySmartDL-${version}
+build_style=python3-module
+hostmakedepends="python3-setuptools python3-Sphinx"
+depends="python3"
+short_desc="Smart download manager for Python"
+maintainer="FollieHiyuki <folliekazetani@protonmail.com>"
+license="Unlicense"
+homepage="https://github.com/iTaybb/pySmartDL"
+distfiles="https://github.com/iTaybb/pySmartDL/archive/v${version}.tar.gz"
+checksum=20bce587e51034accad51ebe3557bb52313b9b77cc369f2a67b5b73a925f6b3c
+# Test depends on python3-codecov
+make_check=extended

From 869605598ad9b349bce94a28d44e30130a638d2e Mon Sep 17 00:00:00 2001
From: FollieHiyuki <folliekazetani@protonmail.com>
Date: Sat, 20 Feb 2021 15:39:29 +0300
Subject: [PATCH 2/7] New package: python3-fuzzywuzzy-0.18.0

---
 srcpkgs/python3-fuzzywuzzy/template | 16 ++++++++++++++++
 1 file changed, 16 insertions(+)
 create mode 100644 srcpkgs/python3-fuzzywuzzy/template

diff --git a/srcpkgs/python3-fuzzywuzzy/template b/srcpkgs/python3-fuzzywuzzy/template
new file mode 100644
index 00000000000..820bfa72648
--- /dev/null
+++ b/srcpkgs/python3-fuzzywuzzy/template
@@ -0,0 +1,16 @@
+# Template file for 'python3-fuzzywuzzy'
+pkgname=python3-fuzzywuzzy
+version=0.18.0
+revision=1
+wrksrc=fuzzywuzzy-${version}
+build_style=python3-module
+hostmakedepends="python3-setuptools"
+depends="python3"
+short_desc="Fuzzy string matching in Python"
+maintainer="FollieHiyuki <folliekazetani@protonmail.com>"
+license="GPL-2.0-or-later"
+homepage="https://github.com/seatgeek/fuzzywuzzy"
+distfiles="https://github.com/seatgeek/fuzzywuzzy/archive/${version}.tar.gz"
+checksum=26795bd6c319a8c789d62ecbe95e29a97711f0176d3beea04ce510981095f696
+# Temporary disabled. See seatgeek/fuzzywuzzy#284
+make_check=no

From 71779b2eb597feda90cde87a8bd87b8397ee059f Mon Sep 17 00:00:00 2001
From: FollieHiyuki <folliekazetani@protonmail.com>
Date: Sat, 20 Feb 2021 15:55:31 +0300
Subject: [PATCH 3/7] New package: python3-humanfriendly-9.1

---
 srcpkgs/python3-humanfriendly/template | 20 ++++++++++++++++++++
 1 file changed, 20 insertions(+)
 create mode 100644 srcpkgs/python3-humanfriendly/template

diff --git a/srcpkgs/python3-humanfriendly/template b/srcpkgs/python3-humanfriendly/template
new file mode 100644
index 00000000000..d84253e9db0
--- /dev/null
+++ b/srcpkgs/python3-humanfriendly/template
@@ -0,0 +1,20 @@
+# Template file for 'python3-humanfriendly'
+pkgname=python3-humanfriendly
+version=9.1
+revision=1
+wrksrc=python-humanfriendly-${version}
+build_style=python3-module
+hostmakedepends="python3-setuptools"
+depends="python3"
+short_desc="Human friendly input/output for text interfaces using Python"
+maintainer="FollieHiyuki <folliekazetani@protonmail.com>"
+license="MIT"
+homepage="https://humanfriendly.readthedocs.io/en/latest/"
+distfiles="https://github.com/xolox/python-humanfriendly/archive/${version}.tar.gz"
+checksum=b603d8abeca579e7a69e969da68c9b818f04da0b2ec5cfb18a031da385f43f44
+# Test depends on python3-flake8-docstring
+make_check=extended
+
+post_install() {
+	vlicense LICENSE.txt
+}

From bb428d10e06c2fa08b477fa20465b01198d301b8 Mon Sep 17 00:00:00 2001
From: FollieHiyuki <folliekazetani@protonmail.com>
Date: Sat, 20 Feb 2021 15:56:51 +0300
Subject: [PATCH 4/7] New package: python3-coloredlogs-15.0

---
 srcpkgs/python3-coloredlogs/template | 20 ++++++++++++++++++++
 1 file changed, 20 insertions(+)
 create mode 100644 srcpkgs/python3-coloredlogs/template

diff --git a/srcpkgs/python3-coloredlogs/template b/srcpkgs/python3-coloredlogs/template
new file mode 100644
index 00000000000..430d6cef3ae
--- /dev/null
+++ b/srcpkgs/python3-coloredlogs/template
@@ -0,0 +1,20 @@
+# Template file for 'python3-coloredlogs'
+pkgname=python3-coloredlogs
+version=15.0
+revision=1
+wrksrc=python-coloredlogs-${version}
+build_style=python3-module
+hostmakedepends="python3-setuptools"
+depends="python3-humanfriendly"
+short_desc="Colored terminal output for Python's logging module"
+maintainer="FollieHiyuki <folliekazetani@protonmail.com>"
+license="MIT"
+homepage="https://coloredlogs.readthedocs.io/en/latest/"
+distfiles="https://github.com/xolox/python-coloredlogs/archive/${version}.tar.gz"
+checksum=0d0d3dc47db64dcd3674cd36336dadd013967852bd524294b1f67425bdf10d79
+# Test depends on python3-capturer
+make_check=extended
+
+post_install() {
+	vlicense LICENSE.txt
+}

From b9f53bf7155f9900497731666a453fb59cc963db Mon Sep 17 00:00:00 2001
From: FollieHiyuki <folliekazetani@protonmail.com>
Date: Sat, 20 Feb 2021 16:05:19 +0300
Subject: [PATCH 5/7] New package: python3-cfscrape-2.1.1

---
 srcpkgs/python3-cfscrape/template | 20 ++++++++++++++++++++
 1 file changed, 20 insertions(+)
 create mode 100644 srcpkgs/python3-cfscrape/template

diff --git a/srcpkgs/python3-cfscrape/template b/srcpkgs/python3-cfscrape/template
new file mode 100644
index 00000000000..3fdc54be00b
--- /dev/null
+++ b/srcpkgs/python3-cfscrape/template
@@ -0,0 +1,20 @@
+# Template file for 'python3-cfscrape'
+pkgname=python3-cfscrape
+version=2.1.1
+revision=1
+wrksrc=cloudflare-scrape-${version}
+build_style=python3-module
+hostmakedepends="python3-setuptools"
+depends="python3-requests nodejs"
+short_desc="Python module to bypass Cloudflare's anti-bot page (another one)"
+maintainer="FollieHiyuki <folliekazetani@protonmail.com>"
+license="MIT"
+homepage="https://github.com/Anorov/cloudflare-scrape"
+distfiles="https://github.com/Anorov/cloudflare-scrape/archive/${version}.tar.gz"
+checksum=7d8cf056b64b68d85b65a37a9b981398f35e301f6be3a38927b53b828a910f09
+# Test needs python3-responses
+make_check=extended
+
+post_install() {
+	vlicense LICENSE
+}

From fc2f8f42461589feca5edbdc4ddb3c8139e96f7c Mon Sep 17 00:00:00 2001
From: FollieHiyuki <folliekazetani@protonmail.com>
Date: Sat, 20 Feb 2021 16:17:59 +0300
Subject: [PATCH 6/7] New package: python3-requests-cache-0.5.2

---
 srcpkgs/python3-requests-cache/template | 20 ++++++++++++++++++++
 1 file changed, 20 insertions(+)
 create mode 100644 srcpkgs/python3-requests-cache/template

diff --git a/srcpkgs/python3-requests-cache/template b/srcpkgs/python3-requests-cache/template
new file mode 100644
index 00000000000..6498b637570
--- /dev/null
+++ b/srcpkgs/python3-requests-cache/template
@@ -0,0 +1,20 @@
+# Template file for 'python3-requests-cache'
+pkgname=python3-requests-cache
+version=0.5.2
+revision=1
+wrksrc=requests-cache-${version}
+build_style=python3-module
+hostmakedepends="python3-setuptools"
+depends="python3-requests"
+short_desc="Transparent, persistent cache for pytho3-requests library"
+maintainer="FollieHiyuki <folliekazetani@protonmail.com>"
+license="BSD-2-Clause"
+homepage="https://github.com/reclosedev/requests-cache"
+distfiles="${PYPI_SITE}/r/requests-cache/requests-cache-${version}.tar.gz"
+checksum=813023269686045f8e01e2289cc1e7e9ae5ab22ddd1e2849a9093ab3ab7270eb
+# Test depends on python3-pymongo
+make_check=extended
+
+post_install() {
+	vlicense LICENSE
+}

From 7985760ca21d0883369ac9c3df23793c7d1cad8a Mon Sep 17 00:00:00 2001
From: FollieHiyuki <folliekazetani@protonmail.com>
Date: Sat, 20 Feb 2021 16:23:32 +0300
Subject: [PATCH 7/7] New package: anime-downloader-5.0.7

---
 srcpkgs/anime-downloader/template | 17 +++++++++++++++++
 1 file changed, 17 insertions(+)
 create mode 100644 srcpkgs/anime-downloader/template

diff --git a/srcpkgs/anime-downloader/template b/srcpkgs/anime-downloader/template
new file mode 100644
index 00000000000..97abfc56cff
--- /dev/null
+++ b/srcpkgs/anime-downloader/template
@@ -0,0 +1,17 @@
+# Template file for 'anime-downloader'
+pkgname=anime-downloader
+version=5.0.7
+revision=1
+build_style=python3-module
+hostmakedepends="python3-setuptools"
+depends="python3-BeautifulSoup4 python3-requests python3-requests-cache
+ python3-tabulate python3-pycryptodome python3-click python3-pySmartDL
+ python3-fuzzywuzzy python3-coloredlogs python3-cfscrape"
+short_desc="Simple but powerfull anime downloader and streamer"
+maintainer="FollieHiyuki <folliekazetani@protonmail.com>"
+license="Unlicense"
+homepage="https://github.com/anime-dl/anime-downloader"
+distfiles="https://github.com/anime-dl/anime-downloader/archive/${version}.tar.gz"
+checksum=ebe365093ccfca4502aa5fb079c71661d62da2d3d705789130af1f32403e6b55
+# Test depends on python3-httpretty
+make_check=extended

^ permalink raw reply	[flat|nested] 7+ messages in thread

* Re: [Nomerge] New package: anime-downloader-5.0.7
  2021-02-20 13:33 [PR PATCH] New package: anime-downloader-5.0.7 FollieHiyuki
                   ` (3 preceding siblings ...)
  2021-02-23 14:41 ` [PR PATCH] [Updated] " FollieHiyuki
@ 2021-02-25 20:42 ` FollieHiyuki
  2021-02-25 21:56 ` FollieHiyuki
  5 siblings, 0 replies; 7+ messages in thread
From: FollieHiyuki @ 2021-02-25 20:42 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 452 bytes --]

New comment by FollieHiyuki on void-packages repository

https://github.com/void-linux/void-packages/pull/28923#issuecomment-786190149

Comment:
Mark as "Nomerge" for now.
The package works fine, but only on cites that don't have Cloudflare :( since the dependency `python3-cfscrape` is too outdated and abandoned.

I might open again if I manage to get `python3-selenium` to work, or sucessfully convince upstream to use an active library instead.

^ permalink raw reply	[flat|nested] 7+ messages in thread

* Re: [Nomerge] New package: anime-downloader-5.0.7
  2021-02-20 13:33 [PR PATCH] New package: anime-downloader-5.0.7 FollieHiyuki
                   ` (4 preceding siblings ...)
  2021-02-25 20:42 ` [Nomerge] " FollieHiyuki
@ 2021-02-25 21:56 ` FollieHiyuki
  5 siblings, 0 replies; 7+ messages in thread
From: FollieHiyuki @ 2021-02-25 21:56 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 450 bytes --]

New comment by FollieHiyuki on void-packages repository

https://github.com/void-linux/void-packages/pull/28923#issuecomment-786190149

Comment:
Mark as "Nomerge" for now.
The package works fine, but only on sites that don't have Cloudflare :( since the dependency `python3-cfscrape` is too outdated and abandoned.

I might open again if I manage to get `python3-selenium` to work, or successfully convince upstream to somehow make a work around.

^ permalink raw reply	[flat|nested] 7+ messages in thread

end of thread, other threads:[~2021-02-25 21:56 UTC | newest]

Thread overview: 7+ messages (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2021-02-20 13:33 [PR PATCH] New package: anime-downloader-5.0.7 FollieHiyuki
2021-02-21 11:20 ` [PR PATCH] [Updated] " FollieHiyuki
2021-02-23 10:43 ` gorkawien
2021-02-23 14:33 ` FollieHiyuki
2021-02-23 14:41 ` [PR PATCH] [Updated] " FollieHiyuki
2021-02-25 20:42 ` [Nomerge] " FollieHiyuki
2021-02-25 21:56 ` FollieHiyuki

Github messages for voidlinux

This inbox may be cloned and mirrored by anyone:

	git clone --mirror http://inbox.vuxu.org/voidlinux-github

	# If you have public-inbox 1.1+ installed, you may
	# initialize and index your mirror using the following commands:
	public-inbox-init -V1 voidlinux-github voidlinux-github/ http://inbox.vuxu.org/voidlinux-github \
		voidlinux-github@inbox.vuxu.org
	public-inbox-index voidlinux-github

Example config snippet for mirrors.
Newsgroup available over NNTP:
	nntp://inbox.vuxu.org/vuxu.github.voidlinux


AGPL code for this site: git clone https://public-inbox.org/public-inbox.git